UserMgmt::Engine.routes.draw do
  
  get '/log_in' => "sessions#new", as: 'log_in'
  post '/user_log_in' => "sessions#create", as: 'user_log_in'
  get '/log_out' => "sessions#destroy", as: 'log_out'
  post '/oauth_log_in' => "sessions#create_oauth", as: 'oauth_log_in'

  get '/sign_up' => 'registrations#new', as: 'sign_up'
  get '/edit' => 'registrations#edit', as: 'edit' 
  post '/' => 'registrations#create', as: 'user'
  get '/password_reset' => 'registrations#password_reset', as: 'password_reset'
  post '/send_password_reset' => 'registrations#send_password_reset', as: 'send_password_reset'
  get '/password_reset_request' => 'registrations#password_reset_request', as: 'password_reset_request'
  post '/send_reset_request' => 'registrations#send_reset_request', as: 'send_reset_request'
  get '/add_strategy' => 'registrations#add_strategy', as: 'add_strategy'

  get 'auth/:provider/callback' => 'sessions#oauth_email', as: 'oauth_email'
  get 'auth/failure' => 'application#main_page', as: 'cancel'


end