module UserMgmt
  
  require "rails"
  require 'omniauth'
  require 'omniauth-facebook'
  require 'omniauth-twitter'
  require 'omniauth-linkedin'
  require 'omniauth-windowslive'
  require 'omniauth-yahoo'
  require "omniauth-google-oauth2"


  class Engine < ::Rails::Engine
    isolate_namespace UserMgmt

    #http://stackoverflow.com/questions/8304225/omniauth-route-issue-related-to-ruby-version
    middleware.use OmniAuth::Builder do
	    # provider :developer unless Rails.env.production?
	    provider :twitter, ENV['TWITTER_KEY'], ENV['TWITTER_SECRET']
	    provider :facebook, ENV['FACEBOOK_KEY'], ENV['FACEBOOK_SECRET']
      provider :linkedin, ENV['LINKEDIN_KEY'], ENV['LINKEDIN_SECRET'], :scope => 'r_fullprofile r_emailaddress r_network'
      provider :windowslive, ENV['WINDOWSLIVE_KEY'], ENV['WINDOWSLIVE_SECRET'], :scope => 'wl.basic'
      provider :yahoo, ENV['YAHOO_KEY'], ENV['YAHOO_SECRET']
      provider :google_oauth2, ENV["GOOGLE_KEY"], ENV["GOOGLE_SECRET"]
    end

  end
end
